<!DOCTYPE html>
<html lang="en"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:layout="http://www.ultraq.net.nz/thmelef/layout"
    layout:decorate="_layout"
>
<head>
    <meta charset="UTF-8">
    <title>Login</title>
</head>
<body>
    <div layout:fragment="content">
        <div class="container">
            <div class="row">
                <div class="col-md-6 offset-md-3">

                    <div th:if="${param.error}">
                        <div class="alert alert-danger">Invalid Email or Password</div>
                    </div>
                    <div th:if="${param.logout}">
                        <div class="alert alert-success"> You have been logged out.</div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <h2 class="text-center">Login Form</h2>
                        </div>
                        <div class="card-body">
                            <form
                                method="post"
                                role="form"
                                th:action="@{/login}"
                                class="form-horizontal"
                            >
                                <div class="form-group mb-3">
                                    <label class="control-label"> Email</label>
                                    <input
                                        type="text"
                                        id="username"
                                        name="username"
                                        class="form-control"
                                        placeholder="Enter email address"
                                    />
                                </div>

                                <div class="form-group mb-3">
                                    <label class="control-label"> Password</label>
                                    <input
                                            type="password"
                                            id="password"
                                            name="password"
                                            class="form-control"
                                            placeholder="Enter password"
                                    />
                                </div>
                                <div class="form-group mb-3">
                                    <button type="submit" class="btn btn-primary" >Submit</button>
                                    <span> Not registered ?
                                        <a th:href="@{/register}">Register/Signup here</a>
                                    </span>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>